Subject: RE: bug#51132: [External] : bug#51132: Make sure user is doubly aware of finished complilations

From: Drew Adams <[email-masked]>
Date: Mon, 11 Oct 2021 16:21:02 +0000

> > > > A message is issued, and I think that's sufficient.  Closing.
> > >
> > > Note that you can customize compilation-finish-functions
> > > to do all sorts of things; you can e.g. send a desktop 
> > > notification:
> >
> > Fine.  But by default Emacs should generally pair
> > notification of starting/continuing progress with
> > notification of finishing - in the _same manner_,
> > at a minimum.
> 
> It does.  PLEASE try this before you post.

PLEASE read what I wrote.  I replied to a claim
that it's sufficient to issue a message, to end
a mode-line in-progress message.

And then to a claim that it's sufficient that
users can customize, to work around such a bug.

Whether there is in fact such a lack/bug is
something else.

It's the justifications for closing that were
misguided - and they did NOT say that there is
a mode-line indication (as you've pointed out).
Save your PLEAS for them.